Skip to main content
DELETE
/
users
/
{uid}
/
blockedusers
Unblock User
curl --request DELETE \
  --url https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/blockedusers \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "blockedUids": [
    "<string>"
  ]
}
'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/blockedusers"

payload = { "blockedUids": ["<string>"] }
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({blockedUids: ['<string>']})
};

fetch('https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/blockedusers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "cometchat-uid-4": {
      "success": true,
      "message": "The user with UID cometchat-uid-1 has blocked user with UID cometchat-uid-3 successfully."
    }
  }
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

uid
string
required

An UID of a user.

Body

application/json
blockedUids
string[]
required

UIDs of the users to be unblock

Response

200 - application/json

Blocked user

data
object